Subject: bug#40425: 26.3; eww-open-file is not working with a Tramp file name

From: Michael Albinus <[email-masked]>
Date: Fri, 24 Jul 2020 18:25:54 +0200

Lars Ingebrigtsen <[email-masked]> writes:

Hi Lars,

> I'm just wondering on what level this should be fixed at.  eww could add
> further support for these relative links itself, or the url-file.el
> library could grow some overrides to allow following Tramp file
> names...  Hm...  The latter seems easier to implement, but I feel that
> perhaps the former is what makes most sense.

There is url-tramp-file-handler, called from url-file-handler (package
url-handlers.el). I haven't tried it for a long time, prick me if there
are problems.

Best regards, Michael.